commit 42610e7fade3bc72a1415842f58c11f92e8b7780
parent 3f799ac48e925555c5a771558633675cf3819cdf
Author: Slack Coder <slackcoder@server.ky>
Date: Tue, 23 Sep 2025 07:54:12 -0500
neovim: version 0.11.2
Diffstat:
5 files changed, 215 insertions(+), 0 deletions(-)
diff --git a/neovim/README b/neovim/README
@@ -0,0 +1,11 @@
+Neovim is a project that seeks to aggressively refactor Vim in order to:
+
+* Simplify maintenance and encourage contributions
+* Split the work between multiple developers
+* Enable advanced UIs without modifications to the core
+* Maximize extensibility
+
+Optional run-time dependencies:
+* python3-neovim and python2-neovim: for python 3/2 plugin support;
+* xclip or xsel: for X11 clipboard support;
+* wl-clipboard: for clipboard support on wayland
diff --git a/neovim/doinst.sh b/neovim/doinst.sh
@@ -0,0 +1,8 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/neovim/neovim.SlackBuild b/neovim/neovim.SlackBuild
@@ -0,0 +1,143 @@
+#!/bin/bash
+
+# SlackBuild script for neovim
+
+# Copyright 2014-2021 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# Copyright 2021-2022 Ruben Schuller <sb@rbn.im>
+# Copyright 2023-2024 Alexander Verbovetsky, Moscow, Russia
+# Copyright 2025 Diego Hernan Borghetti
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=neovim
+VERSION=${VERSION:-0.11.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+
+mkdir -p $PRGNAM-$VERSION/.deps/build/src
+
+cd $PRGNAM-$VERSION/.deps/build/src
+for d in LuaJIT-*.tar.gz luv-*.tar.gz lua-compat-5.3-*.tar.gz \
+ tree-sitter-c-*.tar.gz tree-sitter-lua-*.tar.gz \
+ tree-sitter-markdown-*.tar.gz tree-sitter-query-*.tar.gz \
+ tree-sitter-vimdoc-*.tar.gz tree-sitter-vim-*.tar.gz \
+ lpeg-*.tar.gz unibilium-*.tar.gz utf8proc-*.tar.gz
+do
+ tar xvf $CWD/$d
+done
+mv LuaJIT-* luajit
+mv luv-* luv
+mv lua-compat-5.3-* lua_compat53
+mv tree-sitter-c-* treesitter_c
+mv tree-sitter-lua-* treesitter_lua
+mv tree-sitter-markdown-* treesitter_markdown
+mv tree-sitter-query-* treesitter_query
+mv tree-sitter-vimdoc-* treesitter_vimdoc
+mv tree-sitter-vim-* treesitter_vim
+mv lpeg-* lpeg
+mv unibilium-* unibilium
+mv utf8proc-* utf8proc
+
+cd $TMP/$PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+export NVIM_LOG_FILE=$TMP/$PRGNAM-$VERSION/log
+make \
+ CMAKE_INSTALL_PREFIX=/usr \
+ CMAKE_EXTRA_FLAGS=" \
+ -DCMAKE_INSTALL_MANDIR=/usr/man \
+ -DCMAKE_C_FLAGS:STRING=\"$SLKCFLAGS\"" \
+ BUNDLED_CMAKE_FLAG=" \
+ -DUSE_EXISTING_SRC_DIR=ON \
+ -DUSE_BUNDLED=OFF \
+ -DUSE_BUNDLED_LUV=ON \
+ -DUSE_BUNDLED_LUAJIT=ON \
+ -DUSE_BUNDLED_LPEG=ON \
+ -DUSE_BUNDLED_UNIBILIUM=ON \
+ -DUSE_BUNDLED_TS_PARSERS=ON \
+ -DUSE_BUNDLED_UTF8PROC=ON" \
+ CMAKE_BUILD_TYPE=Release
+make install DESTDIR=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CONTRIBUTING.md README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/neovim/neovim.info b/neovim/neovim.info
@@ -0,0 +1,34 @@
+PRGNAM="neovim"
+VERSION="0.11.2"
+HOMEPAGE="https://neovim.io"
+DOWNLOAD="https://github.com/neovim/neovim/archive/v0.11.2/neovim-0.11.2.tar.gz \
+ https://github.com/LuaJIT/LuaJIT/archive/538a821/LuaJIT-538a82133ad6fddfd0ca64de167c4aca3bc1a2da.tar.gz \
+ https://github.com/luvit/luv/releases/download/v1.50.0-0/luv-v1.50.0-0.tar.gz \
+ https://github.com/lunarmodules/lua-compat-5.3/archive/v0.13/lua-compat-5.3-0.13.tar.gz \
+ https://github.com/tree-sitter/tree-sitter-c/archive/v0.23.4/tree-sitter-c-0.23.4.tar.gz \
+ https://github.com/tree-sitter-grammars/tree-sitter-lua/archive/v0.3.0/tree-sitter-lua-0.3.0.tar.gz \
+ https://github.com/tree-sitter-grammars/tree-sitter-markdown/archive/v0.4.1/tree-sitter-markdown-0.4.1.tar.gz \
+ https://github.com/neovim/tree-sitter-vimdoc/archive/v3.0.1/tree-sitter-vimdoc-3.0.1.tar.gz \
+ https://github.com/tree-sitter-grammars/tree-sitter-query/archive/v0.5.1/tree-sitter-query-0.5.1.tar.gz \
+ https://github.com/tree-sitter-grammars/tree-sitter-vim/archive/v0.5.0/tree-sitter-vim-0.5.0.tar.gz \
+ https://github.com/neovim/unibilium/archive/v2.1.2/unibilium-2.1.2.tar.gz \
+ https://www.inf.puc-rio.br/~roberto/lpeg/lpeg-1.1.0.tar.gz \
+ https://github.com/JuliaStrings/utf8proc/archive/v2.10.0/utf8proc-2.10.0.tar.gz"
+MD5SUM="e513b7cbd9605fddfc6d47998bf0cd05 \
+ 89bd4d1644f5194c7cc6b3cf1dce02d4 \
+ a23bfdd0e9255e99b772f5da42c8d2c5 \
+ 4b53edbd6222230a50f58ca8f9a98d18 \
+ 93ea53c1c992ee53f4720900cbf88e69 \
+ 9f746e332bbfd014fb3be88656818661 \
+ d69bc7a1f679ad85e861aafeff28b569 \
+ 043ae1473a6790b92d6d7b56da0fa511 \
+ 03a4e0e559587ab4e2af245fa44c7a35 \
+ 96f13d302f91285c25f05fbfd2d0f81b \
+ 17b8829b88da2da72a083b06389be009 \
+ 842a538b403b5639510c9b6fffd2c75b \
+ faa0bbe8f5763da45f2dfb5f863f0400"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="msgpack-c-c tree-sitter"
+MAINTAINER="Diego Hernan Borghetti"
+EMAIL="bdiego@pm.me"
diff --git a/neovim/slack-desc b/neovim/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+neovim: neovim (Vim fork)
+neovim:
+neovim: Neovim is a fork of the venerable text-editor vim, focused on
+neovim: extensibility and usability. It is not a rewrite but a continuation
+neovim: and extension of Vim. Many clones and derivatives exist, some very
+neovim: clever-but none are Vim. Neovim is built for users who want the good
+neovim: parts of Vim, and more.
+neovim:
+neovim: See a list of differences at :help vim-differences.
+neovim: Homepage: https://neovim.io
+neovim: